Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class EncryptedValue

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.EncryptedValue

All Implemented Interfaces:
  ASN1Value

public class EncryptedValue
extends java.lang.Object
implements ASN1Value

The CRMF structure EncryptedValue for storing the encrypted key to be archived.

Nested Class Summary
`static class` | `EncryptedValue.Template` A Template class for decoding BER-encoded EncryptedValues.

Field Summary
`private BIT_STRING` | `encSymmKey`
`private BIT_STRING` | `encValue`
`private AlgorithmIdentifier` | `intendedAlg`
`private AlgorithmIdentifier` | `keyAlg`
`private SEQUENCE` | `sequence`
`private AlgorithmIdentifier` | `symmAlg`
`private static Tag` | `TAG`
`private static EncryptedValue.Template` | `templateInstance`
`private OCTET_STRING` | `valueHint`

Constructor Summary
`private` | `EncryptedValue()`
`` | `EncryptedValue(AlgorithmIdentifier intendedAlg, AlgorithmIdentifier symmAlg, BIT_STRING encSymmKey, AlgorithmIdentifier keyAlg, OCTET_STRING valueHint, BIT_STRING encValue)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`BIT_STRING` | `getEncSymmKey()` May return `null`.
`BIT_STRING` | `getEncValue()`
`AlgorithmIdentifier` | `getIntendedAlg()` May return `null`.
`AlgorithmIdentifier` | `getKeyAlg()` May return `null`.
`AlgorithmIdentifier` | `getSymmAlg()` May return `null`.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static EncryptedValue.Template` | `getTemplate()`
`OCTET_STRING` | `getValueHint()` May return `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### intendedAlg

    private AlgorithmIdentifier intendedAlg

### symmAlg

    private AlgorithmIdentifier symmAlg

### encSymmKey

    private BIT_STRING encSymmKey

### keyAlg

    private AlgorithmIdentifier keyAlg

### valueHint

    private OCTET_STRING valueHint

### encValue

    private BIT_STRING encValue

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final EncryptedValue.Template templateInstance

Constructor Detail

### EncryptedValue

    private EncryptedValue()

### EncryptedValue

    public EncryptedValue(AlgorithmIdentifier intendedAlg,
                          AlgorithmIdentifier symmAlg,
                          BIT_STRING encSymmKey,
                          AlgorithmIdentifier keyAlg,
                          OCTET_STRING valueHint,
                          BIT_STRING encValue)

Parameters:
  `intendedAlg` - May be null.
  `symmAlg` - May be null.
  `encSymmKey` - May be null.
  `keyAlg` - May be null.
  `valueHint` - May be null.
  `encValue` - May not be null.

Method Detail

### getIntendedAlg

    public AlgorithmIdentifier getIntendedAlg()

  May return `null`.

### getSymmAlg

    public AlgorithmIdentifier getSymmAlg()

  May return `null`.

### getEncSymmKey

    public BIT_STRING getEncSymmKey()

  May return `null`.

### getKeyAlg

    public AlgorithmIdentifier getKeyAlg()

  May return `null`.

### getValueHint

    public OCTET_STRING getValueHint()

  May return `null`.

### getEncValue

    public BIT_STRING getEncValue()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static EncryptedValue.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD